curl https://api.zbdpay.com/api/v1/projects \
-H "x-api-key: YOUR_API_KEY"
{
"success": true,
"message": "Projects retrieved.",
"data": {
"projects": [
{
"project_id": "prj_1",
"display_name": "Northlight",
"description": "Main game",
"created_at": "2026-09-01T12:00:00Z"
}
]
},
"error": null
}
Projects
List Projects
List your projects, to find the project_id you pass on other calls.
GET
/
api
/
v1
/
projects
curl https://api.zbdpay.com/api/v1/projects \
-H "x-api-key: YOUR_API_KEY"
{
"success": true,
"message": "Projects retrieved.",
"data": {
"projects": [
{
"project_id": "prj_1",
"display_name": "Northlight",
"description": "Main game",
"created_at": "2026-09-01T12:00:00Z"
}
]
},
"error": null
}
A project is one part of your program, usually a game. You create and edit projects in the Publisher Portal. Use this to find a project’s
Each project has the same fields as Get a Project.
project_id, which you can pass on other calls to scope them to that project and filter reports and webhooks by it.
Configuration
Header Parameters
string
required
Your ZBD API key.
curl https://api.zbdpay.com/api/v1/projects \
-H "x-api-key: YOUR_API_KEY"
{
"success": true,
"message": "Projects retrieved.",
"data": {
"projects": [
{
"project_id": "prj_1",
"display_name": "Northlight",
"description": "Main game",
"created_at": "2026-09-01T12:00:00Z"
}
]
},
"error": null
}
Errors
| HTTP | code | When |
|---|---|---|
401 | unauthorized | The API key is missing or invalid |
Was this page helpful?